# Refunds void

This endpoint is used to cancel previously made refund requests. A void request is declined when the request has already been sent to the processor.

Could be a refund request from a previous capture or a previous payment request.

{% tabs %}
{% tab title="cUrl" %}

```json
POST /v1/payments/refunds/:id/void

curl –X POST https://api.firstoken.co/v1/payments/refunds/:id/void' \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR API KEY' \
--data '{
    "transaction_info": {
        "type": "refund_void",
        "reference_code": "123456789"
    },
    "device_info": {
        "ip_address": "12.7.8.120"
    }
}'
```

{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid refund identifier (transaction\_id) received in previous requests.
> {% endtab %}

{% tab title="Attributes of the response" %}
**status**: *string*\
The status is a string result that only has two possible values. "Success, “Error” or "Fail".

**message**: *string*\
The message value represents a short description about the status code.

**data**: *{object}*\
The value of the data represents a set of JSON objects with the transaction’s details:

> * **transaction\_info**: *{object}*\
>   The wrapper object of the transaction’s information. Contains:
>   * **type**: *string*\
>     The type of transaction response.
>   * **reference\_code**: *string*
>
>     A reference code for the transaction.
>   * **transaction\_id**: *string*
>
>     Our transaction identifier of the request. It is used in other requests.
>   * **request\_id**: *string*
>
>     The identifier of the request associated with the transaction.
>   * **status**: *string*
>
>     The status received of the transaction.
>   * **created\_at**: *ISO Date*
>
>     The ISO Date of the request
>     {% endtab %}
>     {% endtabs %}

<details>

<summary>Example of the JSON response</summary>

```json
{
    "status": "success",
    "message": "Refund voided successful",
    "data": {
        "transaction_info": {
            "type": "refund_void_response",
            "reference_code": "123456789",
            "transaction_id": "0001709061572422813572",
            "request_id": "7090615737786366604953",
            "status": "Voided",
            "created_at": "2024-02-27T19:19:34Z"
        }
    }
}

```

</details>
